> ## Documentation Index
> Fetch the complete documentation index at: https://adp-doc.laiye.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit usage

> Get current user credit usage by X-API-KEY.



## OpenAPI

````yaml en/api-reference/adp-api.yaml GET /open/agentic_doc_processor/{tenant_name}/v1/user/payment
openapi: 3.1.0
info:
  title: ADP API
  version: 1.0.0
  description: >-
    Laiye ADP OpenAPI reference for document extraction, recognition, and
    conversion; extraction application management; webhooks; human
    collaboration; credit usage; workflow discovery, runs, exports, and file
    management.
  license:
    name: MIT
    identifier: MIT
servers:
  - url: https://adp-global.laiye.com
    description: ADP global production endpoint
security: []
tags:
  - name: Document extraction
    description: Extract structured fields from uploaded documents.
  - name: Document recognition
    description: Recognize text, layout blocks, and positions from uploaded documents.
  - name: Document conversion
    description: >-
      Convert PDFs, Office documents, OFD files, and images into page images or
      native spreadsheet structures.
  - name: Application management
    description: >-
      Create, update, delete, and query extraction applications and
      configurations.
  - name: Webhook
    description: List system events and manage event callbacks.
  - name: Account
    description: Query credit usage.
  - name: Workflow
    description: >-
      List business workflow templates, run workflow applications, and query run
      results.
  - name: Workflow files
    description: Upload and manage files used by workflow applications.
  - name: Human collaboration
    description: >-
      Configure review triggers, query collaboration tasks, and submit human
      corrections.
paths:
  /open/agentic_doc_processor/{tenant_name}/v1/user/payment:
    get:
      tags:
        - Account
      summary: Get credit usage
      description: Get current user credit usage by X-API-KEY.
      operationId: getUserPayment
      parameters:
        - $ref: '#/components/parameters/TenantName'
      responses:
        '200':
          $ref: '#/components/responses/UserPaymentResponse'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - ApiKeyAuth: []
components:
  parameters:
    TenantName:
      name: tenant_name
      in: path
      required: true
      description: 'Tenant name. Default: laiye.'
      schema:
        type: string
        default: laiye
  responses:
    UserPaymentResponse:
      description: Credit usage.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UserPaymentResponse'
          example:
            user_id: user_abc123
            payment_type: free
            concurrency: 2
            total_credits: 0
            used_credits: 0
            expired_credits: 0
            remaining_credits: 0
    ValidationError:
      description: Validation error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/HTTPValidationError'
          example:
            detail:
              - type: greater_than
                loc:
                  - query
                  - limit
                msg: Input should be greater than 0
                input: 0
                ctx:
                  gt: 0
  schemas:
    UserPaymentResponse:
      type: object
      properties:
        user_id:
          type: string
          description: ID of the user associated with the current API Key.
        payment_type:
          type: string
          enum:
            - paid
            - free
          description: User payment type.
        concurrency:
          type: integer
          description: Number of concurrent requests supported by the current plan.
        total_credits:
          type: number
          description: Total credits.
        used_credits:
          type: number
          description: Used credits.
        expired_credits:
          type: number
          description: Expired credits.
        remaining_credits:
          type: number
          description: Remaining credits.
      required:
        - user_id
        - payment_type
        - concurrency
        - total_credits
        - used_credits
        - expired_credits
        - remaining_credits
    HTTPValidationError:
      type: object
      description: FastAPI/Pydantic request validation error.
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorItem'
      required:
        - detail
    ValidationErrorItem:
      type: object
      additionalProperties: true
      properties:
        type:
          type: string
          description: Validation error type.
        loc:
          type: array
          description: Location of the invalid field in the request.
          items:
            oneOf:
              - type: string
              - type: integer
        msg:
          type: string
          description: Human-readable validation error message.
        input:
          description: Input value that failed validation.
        ctx:
          type: object
          additionalProperties: true
          description: Additional context supplied by the validator.
        url:
          type: string
          format: uri
          description: Link to the Pydantic error documentation.
      required:
        - type
        - loc
        - msg
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Production API Key. You can find it under My API in the ADP platform.
        Make sure the API Key is active and belongs to the production
        environment.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.